Quassel IRC - Bug #1249

Quassel occasionally gets stuck while reconnecting to Freenode after a pingout
10/21/2013 11:19 PM - mamarley

Status: Resolved Start date: 10/21/2013
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.9-pre 0S: Linux

Description

I am running a Quasselcore compiled from the latest code from git (as of 20131021) and | have an issue where Quassel will
sometimes get stuck while reconnecting to Freenode after a pingout. Quassel will say that it is connecting to the server, but will
remain in this state for multiple hours without either connecting or timing out and making another attempt. The only way | have been
able to get it to reconnect was to press the "Disconnect” button several times until "Connect" becomes available, and then press
"Connect."

If it matters, | am using SSL and IPv6.

Associated revisions

Revision 9b8923e3 - 11/19/2013 11:41 PM - mamarley

Enable the ping timeout as soon as the connection to IRC is open.

This fixes the problem where Quassel would get stuck while connecting
if the socket is closed by the server but the core is, for whatever
reason, not notified of this. This patch works by enabling the ping
timeout as soon as the connection is open, but not actually sending any
PINGs until the IRC authentication is complete. This will cause the core
to reconnect if at any point it doesn't receive data from the server for
more than the usual ping timeout interval.

Fixes #1249

Revision d8c55414 - 11/19/2013 11:47 PM - mamarley

Enable the ping timeout as soon as the connection to IRC is open.

This fixes the problem where Quassel would get stuck while connecting
if the socket is closed by the server but the core is, for whatever
reason, not notified of this. This patch works by enabling the ping
timeout as soon as the connection is open, but not actually sending any
PINGs until the IRC authentication is complete. This will cause the core
to reconnect if at any point it doesn't receive data from the server for
more than the usual ping timeout interval.

Fixes #1249

History

#1 - 11/19/2013 11:46 PM - mamarley
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:9b8923e3625b5634163b5c164df8fa6a3760f660.
